Subject: Re: FVWM:run time problem

From: Tom Julien <[email-masked]>
Date: Sat, 19 Oct 1996 12:12:23 -0400

Guenther Grau <[email-masked]> writes:

>Ravi Raj wrote:
>> 
>> hi all,
>>         after succesfully compiling fvwm,i tried to run it. it gave the
>> folowing error message:
>> ld.so.1: fvwm: fatal: libXext.so.0: can't open file: errno=2
>> Killed
>> libXext.so.0 is in /usr/openwin/lib and i'm NOT installing as root.
>> also, i have not run "make install" as i thought it was optional.
>> what do i have to do to correct this problem?
>
>Put /usr/openwin/lib in  the environment variable LD_LIBRARY_PATH
>and do a ldconfig.

With all due respect to Guenther, LD_LIBRARY_PATH should only
be used as a last resort on any platform.  From the above it
appears that you are running under SunOS5 (Solaris2), so you'll
need to make use of the -R flag (e.g. -R/usr/openwin/lib) in
addition to -L at link time.  ld.so will then be able to find
the extra libraries at run time.  You should be able to do a
'ldd fvwm' after your build, and see that all libraries are
found.

Also, ldconfig is not utilized/implemented under SunOS5.

Best of luck,

Tom Julien
[email-masked]

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].